@echo off
rem Simplistic script to execute aap.

set AAPYTHON=%PYTHON%
if NOT .%PYTHON%==. goto havepython
set AAPYTHON=python
:havepython
set AAPDIR=%~dp0

if .%OS%==.Windows_NT goto ntaction

rem collect the arguments in AAPARGS for Win95
set AAPARGS=
:loopstart
if .%1==. goto loopend
set AAPARGS=%AAPARGS% %1
shift
goto loopstart

:loopend
%AAPYTHON% "%AAPDIR%\Main.py" %AAPARGS%
set AAPARGS=
goto eof

:ntaction
rem for WinNT we can use %*
%AAPYTHON% "%AAPDIR%\Main.py" %*

:eof
set AAPYTHON=
